Subject: bug#10897: sending mail via report-emacs-bug

From: Thierry Volpiatto <[email-masked]>
Date: Sat, 03 Mar 2012 09:42:24 +0100

Lars Magne Ingebrigtsen <[email-masked]> writes:

> Thierry Volpiatto <[email-masked]> writes:
>
>>>> I am not sending this bug-report via report-emacs-bug due to its last
>>>> silly modifications.
>>>
>>> Which ones?
>> I just want to 'C-c C-c' like before, I don't want to be asked what to
>> do as I don't know what answering.
>
> `report-emacs-bugs' hasn't changed (much) with regards to sending email.
> But Emacs itself has changed wrt Email sending.
Maybe I am wrong because I can't try without sending a bug-report, so
correct me if so.
It seem that `report-emacs-bug' is using the value of
`send-mail-function' when sending bug reports even if the buffer is a
message buffer.
The new value of `send-mail-function' is `mailclient-send-it'.
Which is not what I want.
Why the value of `message-send-mail-function' isn't used there?
I set here `message-send-mail-function' to `smtpmail-send-it'.

> As you seem to be sending your email with Emacs, I'm not quite sure
> what you mean.
>
> Unless you're sending your bug reports with "emacs -Q"?

-- 
  Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997